@use 'sass/color';
@use 'sass/mixin';
@use 'sass/size';

@mixin table-column($width) {
  flex: 0 0 $width !important;
  width: $width !important;
}

:host {
  display: contents;
}

tr {
  display: contents;
}

td {
  text-align: center;
  vertical-align: middle;
}

.id {
  flex: 1;
  ::ng-deep .mat-form-field-wrapper {
    padding: 0 !important;
  }
  ::ng-deep .mat-form-field-infix {
    width: 100% !important;
    min-width: 7ch !important;
  }
}

.remove {
  @include table-column(12ch);
  margin-top: auto;
  margin-bottom: auto;
  mat-icon {
    cursor: pointer;
  }
}
